LIBMTP_file_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

uint32_t | item_id
uint32_t | parent_id
char * | filename
uint64_t | filesize
LIBMTP_filetype_t | filetype
LIBMTP_file_t * | next

## Detailed Description

MTP file struct

Examples:
  delfile.c, detect.c, files.c, getfile.c, newfolder.c, sendfile.c, and sendtr.c.

## Field Documentation

char* LIBMTP_file_struct::filename

Filename of this file

Examples:
  detect.c, and files.c.

Referenced by LIBMTP_destroy_file_t(), LIBMTP_Get_Filelisting_With_Callback(), LIBMTP_Get_Filemetadata(), LIBMTP_new_file_t(), and LIBMTP_Send_File_From_File_Descriptor().

uint64_t LIBMTP_file_struct::filesize

Size of file in bytes

Examples:
  files.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback(), LIBMTP_Get_Filemetadata(), and LIBMTP_Send_File_From_File_Descriptor().

LIBMTP_filetype_t LIBMTP_file_struct::filetype

Filetype used for the current file

Examples:
  files.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback(), LIBMTP_Get_Filemetadata(), and LIBMTP_Send_File_From_File_Descriptor().

uint32_t LIBMTP_file_struct::item_id

Unique item ID

Examples:
  detect.c, and files.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback(), LIBMTP_Get_Filemetadata(), and LIBMTP_Send_File_From_File_Descriptor().

LIBMTP_file_t* LIBMTP_file_struct::next

Next file in list or NULL if last file

Examples:
  detect.c, and files.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback().

uint32_t LIBMTP_file_struct::parent_id

ID of parent folder

Examples:
  files.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback(), and LIBMTP_Get_Filemetadata().

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-i686/builds/libmtp/src/libmtp.h